@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap');
body {
    font-family: 'Roboto Slab', Roboto, sans-serif;
    background-color: #f0ece4;
}
#content {
    max-width: 1300px;
    margin: 0 auto;
}
header {
    background-color: #545454;
    display: grid;
    grid-template-columns: 80px auto;
    align-items: center;
    
}

header img {
    width: 40px;
    grid-column: 1/2;
    grid-row: 1/2;
    padding-left: 20px;
}
nav {
    grid-column: 2/3;
    grid-row: 1/2;
    display: flex;
    justify-content: flex-end;
}
#active {
    color: #545454;
    background-color: #f5ef89;
    
    transition: 0.8s;
}
#ham {
    display: none;
}
nav a {
    font-size: 1.2em;
    color: #f0ece4;
    text-decoration: none;
    padding: 20px 30px;
    transition: .8s;
}
nav a:hover {
    background-color: #f5ef89;
    color: #545454;
    
}
#home_grid
 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
}

main img {
    width: 100%;
}
#logo {
    background-color:#f0ece4;
    grid-column: 1/3;
    grid-row: 2/3;
    box-shadow:-5px 10px 18px #545454;
    padding: 20px;
    z-index: 1;
}
#goats {
    grid-column: 2/7;
    grid-row:1/6;
}
#back {
    height:100px;
    width: 50%;
    background-color: #b0e1f5;
    grid-column: 1/3;
    grid-row: 2/3;
    position: relative;
    top: 30px;
    left: 25px;
    align-self: flex-end;
    justify-self: flex-end;
    
}
#call {
    grid-column: 4/6;
    grid-row: 4/5;
    text-align: center;
    transition: 0.4s;
    padding: 5px;
    font-size: 1.2em;
    text-decoration: none;
    color: #000;
    background-color: #f6a3b2;
    box-shadow:-5px 10px 18px #000;
}

#call:hover {
    background-color: #f5ef89;
}
#play {
    grid-column: 1/3;
    grid-row: 6/7;
}
#desk {
    grid-column: 3/5;
    grid-row: 6/7;
}
#cat {
    grid-column: 5/7;
    grid-row: 6/7;
}
#play, #desk, #cat {
    padding: 120px 30px 50px 30px;
    text-align: center;
    opacity: 1;
    
}
#play:hover, #desk:hover, #cat:hover {
    transition: .5s ease;
    opacity: .8;
}
#play img, #desk img, #cat img {
    border-radius: 50%;
}
#blue, #pink, #yellow {
    
    width: 75%;
    margin: 20px auto;
}
#blue {
    border: 4px solid #b0e1f5;
}
#pink {
    border: 4px solid #f6a3b2;
}
#yellow {
    border: 4px solid #f5ef89;
}
.cir_link {
    text-decoration: none;
    color:#545454;
}
#openings {
    color:#000;
    grid-column: 1/7;
    grid-row: 7/8;
    text-align: center;
    padding: 0 20px 50px 20px;
}
footer {
    text-align: center;
    background-color: #545454;
    color: #f0ece4;
    padding: 30px;
}
footer a {
    text-decoration: none;
    color: #f0ece4
}

/* about us page css */
#about_grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    row-gap: 50px;
    padding-top: 50px;
}
#kids2 {
    grid-column: 1/5;
    grid-row: 1/4;
    
}
#bkg {
    height:100px;
    width: 100%;
    background-color: #f6a3b2;
    grid-column: 4/7;
    grid-row: 2/3;
    position: relative;
    top: -100px;
    left: 30px;
    align-self: flex-start;
    justify-self: flex-start; 
    z-index: -1;
    margin-top: 20px;
}
#about_msg {
    grid-column: 4/7;
    grid-row: 2/3;
    background-color: #f0ece4;
    box-shadow:5px 10px 18px #545454;
    padding: 10px 25px;
    font-size: 1.1em;
    max-width: 600px;
    position: relative;
    top:-50px;
}
#about_msg p {
    line-height:1.5;
}
#profile {
    grid-column: 4/7;
    grid-row: 4/5;
    justify-self: center;
    margin-top: 60px;
}
#bkg_bio {
    height:100px;
    width: 100%;
    background-color: #b0e1f5;
    grid-column: 4/7;
    grid-row: 4/5;
    position: relative;
    top: -30px;
    left: -30px;
    align-self: flex-start;
    justify-self: flex-start; 
    z-index: -1;
    margin-top: 60px;
}
#bio {
    grid-column: 1/4;
    grid-row: 4/5;
    width: 90%;
    justify-self: center;
    align-self: center;
    font-size: 1.1em;
    line-height: 1.5;
    margin-top: 60px;
}
iframe {
    grid-column: 1/4;
    grid-row: 5/6;
    width: 100%;
    margin-bottom: 50px;
}
#contact {
    grid-column: 4/7;
    grid-row: 5/6;
    justify-self: center;
    align-self: center;
    font-size: 1.5em;
    text-align: center;
    background-color: #f5ef89;
    padding: 20px;
    box-shadow:-5px 10px 18px #000;
}
#contact img {
    width: 70%;
}
#contact a {
    color: #000
}

/* Our Program CSS */
#yellow2 {
    border: 4px solid #f5ef89;
    width: 90%;
    height: 10px;
    background-color: #f5ef89;
    margin: 40px 0;
}
#yellow2 {
    grid-column: 1/7;
    grid-row:4/5;
}

#program_grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    
    padding: 30px 0;
    justify-items: center;
}
ul li {
    margin-bottom: 10px;
}
li span {
    font-weight: bold;
}
#intro {
    grid-column: 1/7;
    grid-row: 1/2;
    width: 85%;
}
#philosophy {
    grid-column: 1/4;
    grid-row: 2/3;
    width: 85%;
}
#kids {
    grid-column: 4/7;
    grid-row: 2/3;
    box-shadow:5px 10px 18px #545454;
    justify-self: center;
    align-self: center;
    margin-top: 100px;
    width: 90%;
}
#bkg1 {
    height:100px;
    width: 100%;
    background-color: #b0e1f5;
    grid-column: 4/7;
    grid-row: 2/3;
    position: relative;
    top: -30px;
    left: -25px;
    align-self: flex-start;
    justify-self: flex-start; 
    z-index: -1;
    margin-top: 100px;
}
#core {
    grid-column: 1/7;
    grid-row: 3/4;
    width: 85%;
}
#cultivate {
    grid-column: 1/7;
    grid-row: 5/6;
    width: 90%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 70px;
    margin-bottom: 75px;
}
#title {
    grid-column: 1/3;
    grid-row: 1/2;
}
#title_para {
    grid-column: 1/3;
    grid-row: 2/3;
}

#title_1 {
    grid-column: 1/2;
    grid-row: 3/4;
}
#para_1 {
    grid-column: 1/2;
    grid-row: 4/5;
}
#letters{
    grid-column: 1/2;
    grid-row: 5/6;
    width: 100%;
}
#title_2 {
    grid-column: 2/3;
    grid-row: 3/4;
}
#para_2 {
    grid-column: 2/3;
    grid-row: 4/5;
}
#reading {
    grid-column: 2/3;
    grid-row: 5/6;
}
#title_3 {
    grid-column: 1/2;
    grid-row: 6/7;
}
#para_3 {
    grid-column: 1/2;
    grid-row:7/8;
}
#alphabet {
    grid-column: 1/2;
    grid-row: 8/9;
}
#title_4 {
    grid-column: 2/3;
    grid-row: 6/7;
}
#title_3, #title_4 {
    margin-top: 60px;
}
#para_4 {
    grid-column: 2/3;
    grid-row: 7/8;
}
#barn {
    grid-column: 1/7;
    grid-row: 2/3;
    width: 90%;
    box-shadow:5px 10px 18px #545454;
    justify-self: center;
    margin-top: 80px;
}
#bkg2 {
    height:100px;
    width: 95%;
    background-color: #f5ef89;
    grid-column: 1/7;
    grid-row: 2/3;
    position: relative;
    top: -30px;
    left: 0;
    align-self: flex-start;
    justify-self: flex-start; 
    z-index: -1;
    margin: 80px auto;
}
#ecc {
    grid-column: 1/4;
    grid-row: 7/8;
    width: 75%;
    align-self: center;
}
#organ_mat {
    grid-column: 4/7;
    grid-row: 7/8;
    box-shadow:5px 10px 18px #545454;
    align-self: center;
    justify-self: center;
    width: 70%;
    margin: 20px 0;
}
#bkg3 {
    height:100px;
    width: 80%;
    background-color: #f6a3b2;
    grid-column: 4/7;
    grid-row: 7/8;
    position: relative;
    top: -20px;
    left: -25px;
    align-self: flex-start;
    justify-self: flex-start; 
    z-index: -1;
    margin-top: 20px;
}
/* Enrollment */
ol li {
    margin-bottom: 1.5em;
}
#enrollment_grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    justify-items: center;
    align-items: center;
    margin: 0 100px;
}
#enroll_title {
    grid-column: 1/7;
    grid-row: 1/2;
    margin-top: 50px;
}
#enroll_sub {
    grid-column: 1/7;
    grid-row: 2/3;
}
#instructions {
    grid-column: 1/5;
    grid-row: 5/6;
    width: 70%;
    background-color: #f0ece4;
    box-shadow:-5px 10px 18px #000;
    padding: 20px;
}
#instructions h3 {
    text-align: center;
}
#enroll_list {
    
    
    background-color: #f0ece4;
}
#ducks {
    grid-column: 4/7;
    grid-row: 4/7;
    z-index: -1;
    box-shadow:-5px 10px 18px #000;
}
#visit {
    grid-column: 1/7;
    grid-row: 8/9;
    font-size: 1.5em;
}
#schedule_tour {
    grid-column: 1/7;
    grid-row: 9/10;
    margin-bottom: 50px;
    width: 80%;
    text-align: center;
    font-size: 1.5em;
}
#schedule_tour a {
    text-decoration: none;
    color:#545454;
}
#enroll_blue {
    width: 75%;
    margin: 20px auto;
    border: 4px solid #b0e1f5;
    grid-column: 1/7;
    grid-row: 3/4;
}
#enroll_pink {
    width: 75%;
    margin: 40px auto;
    border: 4px solid #f6a3b2;
    grid-column: 1/7;
    grid-row: 7/8;
}

/* Nature Focus Page */
#hero {
    position: relative;
}
#nature_title {
    position: absolute;
    top: 20px;
    background-color:#f0ece4;
    left: 180px;
    padding: 15px;
    box-shadow:-5px 10px 18px #000;
}
#imagine {
    font-size: 1.5em;
    text-align: center;
    padding: 20px;
}
#nature_list {
    box-shadow:-5px 10px 18px #000;
    padding: 40px;
    width: 70%;
    margin: 0 auto;
}
#goat_circle, #barn_circle {
    border-radius: 50%;
}
#nature_grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin: 50px;
    align-items: center;
    justify-items: center;
}
#nature_grid img {
    width: 70%;
}
#goat_circle {
    grid-column: 1/2;
    grid-row: 1/2;
}
#barn_circle {
    grid-column: 2/3;
    grid-row: 1/2;
}
#nature_title1 {
    grid-column: 1/2;
    grid-row: 2/3;
}
#nature_title2 {
    grid-column: 2/3;
    grid-row: 2/3;
}
#nature_para1, #nature_para2 {
    width: 80%;
    line-height: 1.8;
}
#join {
    grid-column: 1/3;
    grid-row: 4/5;
    font-size: 1.5em;
}
#spotted_duck {
    grid-column: 1/3;
    grid-row: 5/6;
    justify-self: center;
}






@media screen and (max-width: 700px) {
    body {margin: 0}
    main, #program_grid, #about_grid {
        padding-top: 100px;
    }
    header {
        position: fixed;
        width: 100%;
        z-index: 2;
        padding-top: 0;
    }
    nav a {
        display: none;
    }
    .responsive a {
        display: block;
        
    }
    #ham {
        display: block;
    }
    nav {
        flex-direction: column;
        width: 60%;
        justify-self: end;
        
    }
   
    nav a:nth-child(2), nav a:nth-child(3), nav a:nth-child(4) {
        border-right: none;
        border-bottom: 2px solid black;
    }
    #home_grid {
        display: block;
    }
 
    #back {
        display: none;
    }
    #logo {
        width: 80%;
        margin: 0 auto;
        box-shadow: none;
    }
    #call {
        background-color: #f0ece4;
        box-shadow: none;
        color:#545454;
        width: 50%;
        text-shadow: 2px 2px #f6a3b2;
        text-decoration: underline;
    }
    #play, #desk, #cat {
        padding-top: 50px;
        padding-bottom: 0;
        text-align: center;
        width: 70%;
        margin: 0 auto;
    }
    #openings {
        padding: 15px 20px;
    }
    footer h2 {
        font-size: .8em;
    }
    /* About Us */
    #about_grid {
        display: block;
    }
    #about_msg {
        box-shadow: none;
    }
    #bio {
        padding-left: 20px;
    }
    #bkg, #bkg_bio {
        display: none;
    }
    iframe {
        margin-bottom: 10px;
    }
    #contact {
        display: none;

    }
    #kids, #profile, iframe {
        display: block;
        width: 80%;
        margin: 15px auto;
    }

    /* Our Program */
    #program_grid {
        display: block;
    }
    #bkg1, #bkg2, #bkg3 {
        display: none;
    }
    #philosophy, #cultivate, #ecc {
        margin: 0 auto;
    }
    #boy_goats, #letters, #organ_mat {
        display: block;
        width: 70%;
        margin: 50px auto;
    }
    #cultivate {
        display: block;
    }
    #intro, #core {
        
        margin: 0 auto;
    }

    /* Enrollment */
    #enrollment_grid {
        display: block;
        margin: 0;
    }
    #enroll_title, #enroll_sub,  #visit, #schedule_tour, #enroll_pink, #enroll_blue {
        text-align: center;
    }
    #instructions, #enroll_list, #schedule_tour {
        width: 80%;
        margin: 50px auto;
    }
  
    #ducks {
        display: block;
        margin: 0 auto;
    }

    /* Nature Focus */
    #nature_title {
        left: 30px;
        font-size: 1em;
        padding: 5px;
    }
    #nature_grid{
        display: block;
    }
    #nature_grid img {
        width: 100%;
    }
    #nature_title1, #nature_title2, #nature_para1, #nature_para2{
        padding: 20px;
        margin: 0 auto;
    }

    #nature_title1, #nature_title2{
        text-align: center;
    }
    #goat_circle, #barn_circle {
        display: block;
        margin: 0 auto;
    }
  }